Post by rph » Thu Mar 01, 2012 9:03 am

Also called conditional options or chained selects, Dependent Options allows you to control which option values are displayed for a product based on those selected in a "parent" option. This decreases complexity for your customers and helps keep down the total number of option values in your store.
dependent_options_example.jpg

dependent_options_example.jpg (81.18 KiB) Viewed 37529 times

parent_child.png

parent_child.png (15.42 KiB) Viewed 37529 times

Demo
Check out the online demo at:
Store: options-demo.opencarthelp.com
Admin: options-demo.opencarthelp.com/admin (user/password: demo)

Requirements
-OpenCart 1.5.1.3 and later
-VQMod 2.1.5 (http://vqmod.com)
-Chained Selects jQuery Plugin (included with download; http://www.appelsiini.net/2010/jquery-chained-selects)

PURCHASE NOW

NOTICE FOR OPENCART 1.5.6 (August 23, 2013)
I have no current plans to support OpenCart 1.5.6. I highly recommend users remain on OpenCart 1.5.5.1.

Please Note
Dependent Options works on Select-type options only! It does not work on Image, Radio, Checkbox or Input, File, and Date-type options. All options (e.g. Size, Color) for a product will be displayed to customers. Only option values (e.g. Large, Black) will be hidden or shown depending on customer choice.

Stores with greater than 500 total option values may see slowdowns when adding an option value row in the Admin product form depending on your computer speed and total number of option values. This is due to javascript having to dynamically create large blocks of HTML and does not effect server or store speed. Please ask if you have any questions on these limitations.

Dependent Options is a VQMod script. It can be quickly enabled or disabled at any time without interrupting store functionality.

If you have any questions on whether Dependent Options is right for your store please ask.

FREQUENTLY ASKED QUESTIONS

Can I track stock levels?
Dependent Options uses the standard OpenCart options stock method which means options quantities are subtracted individually rather than cumulatively. For instance, if you were to order a small black t-shirt and a large black t-shirt the cart would subtract 1 from "small", 1 from "large", and 2 from the "black".

A way to work around this is to create an absolutely unique option value at the end of an option chain for each possible combination. For instance, you would replace "black" with "black (small)" and "black (large)". The disadvante to this is it can get very complicated and greatly increase the number of options you have to manage but it will let you control stock levels.

Why can't I have an option more than once?
It causes potential errors with option chains. If a duplicate option was ever used as a parent Dependent Options wouldn't know which one to use.

Why doesn't Dependent Options work with other types of options?
Dependent Options uses the Chained Selects jQuery plugin which is limited to select-type (i.e. dropdown) options only.

Why are there advisory limits on the number of options Dependent Options can handle in Admin?
The Chained Selects jQuery plugin works by having a set of all possible options for a dropdown then showing or hiding them based on user input. This means the number of options your browser is working with is:

Total number of select-type option value for the store * Total number of select-type option values for the product

You'll usually start to see slowdowns when the figure exceeds 10,000 (500 possible option values in the store * 20 product option values being used) though this figure can vary. I've experimented with using the remove version of Chained Selects but it has unfortunately proven to be too slow updating for practical use when many options are used.

Will Dependent Options work with [third-party mod]?
Unfortunately there is no way to know without installing both. Generally speaking if a mod modifies product options using jQuery (such as image switching or price updating) there are likely to be conflicts and it should be considered NOT compatible.

Does Dependent Options work with Mijoshop / Aceshop?
AceShop and MijoShop should not be considered equivalent to OpenCart. They are a Joomla-OpenCart merge which may or may not work with mods designed for OpenCart standard. I've made changes to the script loading method in Dependent Options 1.1.7 which may make it compatible with AceShop / MijoShop. This is untested and both platforms remain officially unsupported by Dependent Options.

Why aren't Mijoshop / AceShop supported?
Even though they're technically licensed under GPL neither project is directly distributed as free, open-source software (FOSS). This means on top of the extra work developing and testing a custom version of Dependent Options just for Mijoshop / AceShop, continuing support subscriptions to both platforms would need to be maintained to make sure Dependent Options is compatible with the latest version.

Is Shoppica supported?
Dependent Options v1.1.6 is the end of life for official Shoppica support. While the code remains as of Dependent Options 1.1.7b, commercial support will be required for any issues that occur and future versions of Dependent Options will no longer include free support for highly non-standard templates. For more info on the subject see: http://forum.opencart.com/viewtopic.php?f=20&t=86401

DEPENDENT OPTIONS 2.0

I'm currently working on the next version of Dependent Options as time permits. Its goal is to work around many of the above limitations. Unfortunately I do not have an ETA as this is complex work with many starts and stops between other projects. Below is a screenshot of preliminary work:
dependent_options_v2.png

dependent_options_v2.png (33.54 KiB) Viewed 31245 times

Last edited by rph on Tue Dec 03, 2013 3:59 pm, edited 7 times in total.
Reason: FAQ update

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by Lisaweb » Thu Mar 01, 2012 10:04 am

Vry Nice! Want to use it. Do you happen to know whether this product is compatible with Options Boost by Qphoria?

Using OC v1.5.4.1 with Evisu Theme


User avatar
Active Member

Posts

Joined
Wed Dec 07, 2011 12:01 am

Post by rph » Thu Mar 01, 2012 10:23 am

Lisaweb wrote:Do you happen to know whether this product is compatible with Options Boost by Qphoria?
Not yet.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by rph » Fri Mar 02, 2012 3:07 pm

I've just released a small update with v1.0.1. It adds slightly improved compatibility with third-party mods in Admin.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by rph » Thu Mar 08, 2012 8:36 am

Dependent Options v1.1.0 is released. It includes a bug fix for new product option rows not properly saving and compatibility with OpenCart 1.5.2.x. I've also started working on making Dependent Options compatible with Qphoria's Option Boost/Option Price Update Redux extensions but I don't have an ETA on when it might be done.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by Lisaweb » Thu Mar 08, 2012 8:40 am

Awesome! Please keep us posted. As soon as it is compatible with Option Boost, I am snatching this one up! :-)
rph wrote:Dependent Options v1.1.0 is released. It includes a bug fix for new product option rows not properly saving and compatibility with OpenCart 1.5.2.x. I've also started working on making Dependent Options compatible with Qphoria's Option Boost/Option Price Update Redux extensions but I don't have an ETA on when it might be done.

Using OC v1.5.4.1 with Evisu Theme


User avatar
Active Member

Posts

Joined
Wed Dec 07, 2011 12:01 am

Post by arch72 » Mon Mar 12, 2012 3:13 am

hi,


Lisaweb wrote:Awesome! Please keep us posted. As soon as it is compatible with Option Boost, I am snatching this one up! :-)

love this extension, want to buy in now, would do so if i could work with Options Boost
rph wrote:Dependent Options v1.1.0 is released. It includes a bug fix for new product option rows not properly saving and compatibility with OpenCart 1.5.2.x. I've also started working on making Dependent Options compatible with Qphoria's Option Boost/Option Price Update Redux extensions but I don't have an ETA on when it might be done.
am kinda stuck because i also MUST have the openbay ebay module which requires it's own option openstock to work.

any way i could manually blend two/three together,
ideally use Dependent options instead of openstock for openbaypro?
that would be dream ticket .

any advice/help greatly appreciated

really need help don't want to buy all and find none are compatable happy to buy all three if i know could get them all to work, could do manually myself if possiable with advice/guidance.

thanks

New member

Posts

Joined
Sat Jul 31, 2010 7:00 am

Post by rph » Mon Mar 12, 2012 3:18 am

I already responded twice in the Extension store comments arch. Asking a third time isn't going to change the answer.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by rph » Wed Mar 14, 2012 12:40 pm

An Options Boost compatible version of Dependent Options has been released!

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by Lisaweb » Wed Mar 14, 2012 1:21 pm

Yay! I have a couple of site issues I need to wrap up first, but after that I will be purhasing! Thanks very much! :-)

Using OC v1.5.4.1 with Evisu Theme


User avatar
Active Member

Posts

Joined
Wed Dec 07, 2011 12:01 am

Post by scottincham » Sun Mar 25, 2012 5:08 am

Hi rph

Do you have any update on the compatibility with:

"Option Price Update (Redux)"

I've set your product up on my site and it works great, but the "Option Price Update" gets confused and presents the wrong prices as I select from the different menu options.

I'm hoping your compatibility work will resolve this.

Great module by the way!

Kind regards,
Scott

User avatar
Newbie

Posts

Joined
Wed Jan 18, 2012 7:09 pm
Location - United Kingdom

Post by rph » Sun Mar 25, 2012 6:22 am

Not yet. Let me check with Q about getting this done.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by scottincham » Sun Mar 25, 2012 6:31 am

Many thanks, looking forward to hearing back.

User avatar
Newbie

Posts

Joined
Wed Jan 18, 2012 7:09 pm
Location - United Kingdom

Post by rph » Tue Mar 27, 2012 5:32 am

Dependent Options 1.1.2 has been released which adds compatibility with Option Price Update Redux.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by BruceT » Wed Apr 04, 2012 6:44 am

Hey guys,

Opencart Version 1.5.2.1

VQmod version 2.1.6

Am getting this error in admin when editing options (Catalogue > Options > Any Option) just below the sort order field.

Notice: Undefined variable: parent_option_values in /home/shedsnst/public_html/vqmod/vqcache/vq2-admin_view_template_catalog_option_form.tpl on line 100Warning: Invalid argument supplied for foreach() in /home/shedsnst/public_html/vqmod/vqcache/vq2-admin_view_template_catalog_option_form.tpl on line 100

(VQmod is actually installed in admin this time heh)

The parent option appears in the products page.

Also the error "Undefined index..." is appearing on the drop down menus on the products page.

http://shedsnstuff.com.au/index.php?rou ... duct_id=52

Any ideas?

Newbie

Posts

Joined
Tue Apr 03, 2012 1:03 am

Post by rph » Wed Apr 04, 2012 6:51 am

Looks like there's an issue with the changes being made to the product controller. Send FTP login credentials to the support email listed in the readme file and I'll take a look.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by BruceT » Wed Apr 04, 2012 7:01 am

Sent. Thanks Ryan!

Newbie

Posts

Joined
Tue Apr 03, 2012 1:03 am

Post by BruceT » Wed Apr 04, 2012 8:33 am

Just a note to say many thanks to Ryan for his help. Great product and and great service!

Sincerely,

Bruce

Newbie

Posts

Joined
Tue Apr 03, 2012 1:03 am

Post by DSGI » Fri Apr 06, 2012 8:08 am

RPH -

Will you be making dependent Options work for Image options as well as drop down (select) options? I really need this functionality with Image Options.

thanks!

DSGI

New member

Posts

Joined
Wed Feb 08, 2012 5:28 pm

Post by rph » Fri Apr 06, 2012 8:16 am

Unfortunately image options use radio buttons rather than option selects so they're not compatible. It is compatible with Option Boost if you use that.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska
Who is online

Users browsing this forum: No registered users and 5 guests